﻿// -----------------------------------------------------------------------
// <copyright file="MainViewModel.cs" company="Microsoft">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace Diagram_WPF_MVVM
{
	using System;
	using System.Linq;
	using System.Windows;
	using System.Windows.Media;
	using Telerik.Windows.Controls;
	using Telerik.Windows.Controls.Diagrams;
	using Telerik.Windows.Diagrams.Core;
	using Telerik.Windows.Controls.Diagrams.Extensions.ViewModels;

	/// <summary>
	/// TODO: Update summary.
	/// </summary>
	public class MainViewModel : ObservableGraphSourceBase<NodeViewModelBase,LinkViewModelBase<NodeViewModelBase>>
	{
		public MainViewModel()
		{
			NodeViewModelBase shape = new NodeViewModelBase()
			{
				Position = new Point() { X = 50, Y = 50 },
				Content = "Cloud",
			};
			NodeViewModelBase star = new NodeViewModelBase()
			{
				Width = 150,
				Height = 100,
				Position = new Point() { X = 90, Y = 50 },
				Content = "Star"
			};
			NodeViewModelBase shape2 = new NodeViewModelBase()
			{
				Width = 150,
				Height = 100,
				Position = new Point() { X = 60, Y = 70 },
				Content = "No Star"
			};
			LinkViewModelBase<NodeViewModelBase> connection = new LinkViewModelBase<NodeViewModelBase>()
			{
				Source = star,
				SourceCapType = Telerik.Windows.Diagrams.Core.CapType.Arrow6,
				Target = shape,
				TargetCapType = Telerik.Windows.Diagrams.Core.CapType.Arrow1Filled
			};

			this.AddNode(shape);
			this.AddNode(shape2);
			this.AddNode(star);
			this.AddLink(connection);
		}
	}
}