﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace Diagram_WPF_MVVM
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			this.InitializeComponent();
			this.xDiagram.GraphSource = new MainViewModel();
		}

		private void xDiagram_SelectionChanged(object sender, SelectionChangedEventArgs e)
		{
			var diagram = sender as RadDiagram;
			if (diagram != null)
			{
				RadDiagramShape shape = diagram.ContainerGenerator.ContainerFromItem(e.AddedItems[0]) as RadDiagramShape;
				if (shape != null)
				{
					List<RadDiagramShape> ls = new List<RadDiagramShape>();
					ls.Add(shape);
					diagram.BringToFront(ls);
				}
			}
		}
	}
}